org.springframework.transaction.compensating.support

## Class CompensatingTransactionObject

- java.lang.Object
- - org.springframework.transaction.compensating.support.CompensatingTransactionObject

-     public class CompensatingTransactionObject
      extends Object

  Transaction object used by `AbstractCompensatingTransactionManagerDelegate`. Keeps a reference to the `CompensatingTransactionHolderSupport` associated with the current transaction.
  Since:
    1.2
  Author:
    Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompensatingTransactionObject(CompensatingTransactionHolderSupport holder)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompensatingTransactionHolderSupport` | `getHolder()` Get the DirContextHolder.
    `void` | `setHolder(CompensatingTransactionHolderSupport holder)` Set the `CompensatingTransactionHolderSupport` associated with the current transaction.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompensatingTransactionObject

          public CompensatingTransactionObject(CompensatingTransactionHolderSupport holder)

      Constructor.
      Parameters:
        `holder` - the `CompensatingTransactionHolderSupport` associated with the current transaction.

  - ### Method Detail

    - #### getHolder

          public CompensatingTransactionHolderSupport getHolder()

      Get the DirContextHolder.
      Returns:
        the DirContextHolder.

    - #### setHolder

          public void setHolder(CompensatingTransactionHolderSupport holder)

      Set the `CompensatingTransactionHolderSupport` associated with the current transaction.
      Parameters:
        `holder` - the `CompensatingTransactionHolderSupport` associated with the current transaction.